Retrieve a list
Returns a filtered list of work interruptions.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-work-interruptions.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the work interruption record. |
person.id |
integer | — | Read-only | Internal ID of the person this work interruption belongs to. |
date |
string | — | Read-only | Date for which the work interruption is recorded (YYYY-MM-DD). |
durationInMinutes |
integer | — | Read-only | Duration of the work interruption in minutes. |
startTimeInMinutes |
integer | — | Read-only | Start time of the work interruption (minutes since midnight). |
endTimeInMinutes |
integer | — | Read-only | End time of the work interruption (minutes since midnight). |
Filters
| Filter | Type | Description |
|---|---|---|
person |
Optional | Internal person IDs (person in (1, 2, 3)), or the current members of circles (person in circle(2, 8)) or org-groups (person in org-group(121, 122)). When omitted, all people are returned. |
date |
Required | Date range (required with max of 1 year range) |
Note
- The
personfilter cannot be combined withdelta. A request with both returns400 Bad Request. - With a
personfilter, results are paged per 100 people. If the people matched by the filter change between pages (for example, a circle or org-group membership change), the next page returns409 Conflict; restart from the first request.
Check the Fetching Resources page on how to use the filter.
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax, unknown filter field, or a person filter combined with delta |
401 |
Missing or invalid access token, or insufficient scope |
409 |
The people matched by the person filter changed between pages |
Examples
Filter on date range
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?filter=date ge '2024-01-01' and date le '2024-01-05'
Filter on people and a date range with external reference
Example with people, a date range and the employee number as an external reference:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/work-interruptions?filter= person in (115,256,385) and date ge '2024-01-01' and date le '2024-01-05' &externalReferences=(people,@employee-number)